EDQUOTA(8)

NAZWA
edquota - edycja kwot dla użytkowników

SKŁADNIA
edquota [ -p wzorcowy-użytkownik ] [ -u | -g ] [ -r ] [ -F nazwa-formatu ] [ -f system-plików ] użytkownik...

edquota [ -u | -g ] [ -F nazwa-formatu ] [ -f system-plików ] -t

OPIS
edquota jest edytorem kwot. W linii polecenia można podać jednego lub więcej użytkowników lub grup. Dla każdego użytkownika lub grupy tworzony jest plik tymczasowy z określonymi w postaci ASCII obecnymi ograniczeniami kwot dyskowych użytkownika lub grupy. Po jego utworzeniu uruchamiany jest edytor. Można wówczas zmieniać kwoty, dodawać nowe, itd. Ustawienie wartości zerowej kwoty oznacza, że nie zostanie narzucona żadna kwota.

Użytkownikom wolno prekraczać ograniczenie miękkie na określony dla danego systemu plików czas ulgi. Po upłynięciu czasu ulgi, miękkie ograniczenie staje się twardym ograniczeniem.

Informacje o aktualnym zużyciu znajdujące się w pliku pełnią rolę informacyjną. Zmienić można jedynie ograniczenia twarde i miękkie.

Po wyjściu z edytora, edquota odczytuje plik tymczasowy i modyfikuje binarne pliki kwot, aby odzwierciedlić wprowadzone zmiany.

Wywoływanym edytorem jest vi(1), chyba że zdefiniowano zmienną środowiskową EDITOR lub VISUAL które wskazują na coś innego.

Zmiany kwot może dokonywać tylko superużytkownik.

OPCJE

-r  Zmiana również kwot zdalnych za pomocą rpc.rquotad na zdalnym serwerze. OPcja -n jest jej równoważna i wspierana jedynie dla zachowanai zgodności z wcześniejszymi wersjami.

-u  Edycja kwot użytkowników. Jest to zachowanie domyślne.

-g  Edycja kwot grup.

-p wzorcowy-użytkownik
    Powiela ustawienia kwot użytkownika wzorcowego dla wszystkich podanych użytkowników. Jest to normalny mechanizm inicjalizowania udziałów dla grup użytkowników.

-F nazwa-formatu
    Zmiana kwot według podanego formatu (tzn. nie jest wykonywana autodetekcja formatu). Dozwolone są następujące nazwy formatów: vfsold (wersja 1 kwot), vfsv0 (wersja 2 kwot), rpc (kwoty na NFS), xfs (kwoty na systemie plików XFS)

-f system-plików
    Przeprowadza zadane operacje wyłacznie na podanym systemie plików (domyślnym zachowaniem jest przeprowadzenie ich na wszystkich systemach plików obsługujących kwoty).

-t  Zmiana czasów ważności miękkich ograniczeń dla poszczególnych systemów plików. W starym formacie kwot, jeśli czasy ważności wynoszą zero, używane są domyślne ograniczenia z <linux/quota.h>. W nowym formacie kwot, wartości muszą zostać podane (nie ma wartości domyślnych, ustawianych przez jądro). Rozumiane są następujące jednostki czasu: seconds (sekundy), minutes (minuty), hours (godziny), days (dni), weeks (tygodnie) i months (miesiące). Czasy ważności są wypisywane w możliwie największych jednostkach takich, że wyrażona w nich wartość jest większa lub równa jedności.

PLIKI
aquota.user i aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user i quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    domyślne systemy plików

ZOBACZ TAKŻE
quota(1), vi(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8)